Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSSO2Response`, `ClientWireProtocol.ClientConnectionSSO2Response.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCmdcomps​(int index)` | If redirect = false, this is a list of all cmdcomps
`com.google.protobuf.ByteString` | `getCmdcompsBytes​(int index)` | If redirect = false, this is a list of all cmdcomps
`int` | `getCmdcompsCount()` | If redirect = false, this is a list of all cmdcomps
`List<String>` | `getCmdcompsList()` | If redirect = false, this is a list of all cmdcomps
`int` | `getPollingIntervalSeconds()` | The minimum amount of time in seconds that the Client
`boolean` | `getRedirect()` | Redirect = true, means we are telling client to connect elsewhere
`String` | `getRedirectHost()` | `string redirectHost = 5;`
`com.google.protobuf.ByteString` | `getRedirectHostBytes()` | `string redirectHost = 5;`
`int` | `getRedirectPort()` | `fixed32 redirectPort = 6;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionSSO2Response.ResponseOneofCase` | `getResponseOneofCase()` |
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList` | `getSecondary​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`int` | `getSecondaryCount()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`List<ClientWireProtocol.SecondaryInterfaceList>` | `getSecondaryList()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder` | `getSecondaryOrBuilder​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>` | `getSecondaryOrBuilderList()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`ClientWireProtocol.SessionInfo` | `getSessionInfo()` | MUST wait between polling requests to the server
`ClientWireProtocol.SessionInfoOrBuilder` | `getSessionInfoOrBuilder()` | MUST wait between polling requests to the server
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasSessionInfo()` | MUST wait between polling requests to the server

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getPollingIntervalSeconds

int getPollingIntervalSeconds()

     The minimum amount of time in seconds that the Client

`int32 pollingIntervalSeconds = 2;`

Returns:
  The pollingIntervalSeconds.

### hasSessionInfo

boolean hasSessionInfo()

     MUST wait between polling requests to the server

`.xg.cmdcomp.SessionInfo sessionInfo = 3;`

Returns:
  Whether the sessionInfo field is set.

### getSessionInfo

ClientWireProtocol.SessionInfo getSessionInfo()

     MUST wait between polling requests to the server

`.xg.cmdcomp.SessionInfo sessionInfo = 3;`

Returns:
  The sessionInfo.

### getSessionInfoOrBuilder

ClientWireProtocol.SessionInfoOrBuilder getSessionInfoOrBuilder()

     MUST wait between polling requests to the server

`.xg.cmdcomp.SessionInfo sessionInfo = 3;`

### getRedirect

boolean getRedirect()

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 4;`

Returns:
  The redirect.

### getRedirectHost

String getRedirectHost()
`string redirectHost = 5;`

Returns:
  The redirectHost.

### getRedirectHostBytes

com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 5;`

Returns:
  The bytes for redirectHost.

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 6;`

Returns:
  The redirectPort.

### getCmdcompsList

List<String> getCmdcompsList()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 7;`

Returns:
  A list containing the cmdcomps.

### getCmdcompsCount

int getCmdcompsCount()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 7;`

Returns:
  The count of cmdcomps.

### getCmdcomps

String getCmdcomps​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 7;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The cmdcomps at the given index.

### getCmdcompsBytes

com.google.protobuf.ByteString getCmdcompsBytes​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 7;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the cmdcomps at the given index.

### getSecondaryList

List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondary

ClientWireProtocol.SecondaryInterfaceList getSecondary​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondaryCount

int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondaryOrBuilderList

List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondaryOrBuilder

ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getResponseOneofCase

ClientWireProtocol.ClientConnectionSSO2Response.ResponseOneofCase getResponseOneofCase()